Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.type.filter
Class AssignableTypeFilter

    java.lang.Object
      org.springframework.core.type.filter.AbstractTypeHierarchyTraversingFilter
          org.springframework.core.type.filter.AssignableTypeFilter

All Implemented Interfaces:
  TypeFilter

    public class AssignableTypeFilter

extends AbstractTypeHierarchyTraversingFilter

A simple filter which matches classes that are assignable to a given type.

Since:
  2.5
Author:
  Rod Johnson, Mark Fisher, Ramnivas Laddad

Constructor Summary
`AssignableTypeFilter(java.lang.Class targetType)` Create a new AssignableTypeFilter for the given type.

Method Summary
`protected boolean` | `matchClassName(java.lang.String className)` Override this to match on type name.
`protected java.lang.Boolean` | `matchInterface(java.lang.String interfaceName)` Override this to match on interface type name.
`protected java.lang.Boolean` | `matchSuperClass(java.lang.String superClassName)` Override this to match on super type name.
`protected java.lang.Boolean` | `matchTargetType(java.lang.String typeName)`

Methods inherited from class org.springframework.core.type.filter.AbstractTypeHierarchyTraversingFilter
`match, matchSelf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssignableTypeFilter

    public AssignableTypeFilter(java.lang.Class targetType)

  Create a new AssignableTypeFilter for the given type.

  Parameters:
    `targetType` - the type to match

Method Detail

### matchClassName

    protected boolean matchClassName(java.lang.String className)

  Description copied from class: `AbstractTypeHierarchyTraversingFilter`
  Override this to match on type name.

  Overrides:
    `matchClassName` in class `AbstractTypeHierarchyTraversingFilter`

### matchSuperClass

    protected java.lang.Boolean matchSuperClass(java.lang.String superClassName)

  Description copied from class: `AbstractTypeHierarchyTraversingFilter`
  Override this to match on super type name.

  Overrides:
    `matchSuperClass` in class `AbstractTypeHierarchyTraversingFilter`

### matchInterface

    protected java.lang.Boolean matchInterface(java.lang.String interfaceName)

  Description copied from class: `AbstractTypeHierarchyTraversingFilter`
  Override this to match on interface type name.

  Overrides:
    `matchInterface` in class `AbstractTypeHierarchyTraversingFilter`

### matchTargetType

    protected java.lang.Boolean matchTargetType(java.lang.String typeName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD